@ECHO OFF&PUSHD %~DP0 &TITLE 綠化和卸載
mode con cols=36 lines=20
color 2F
Rd "%WinDir%\system32\test_permissions" >NUL 2>NUL
Md "%WinDir%\System32\test_permissions" 2>NUL||(Echo 請使用右鍵管理員身份運行！&&PAUSE >NUL&&EXIT)
Rd "%WinDir%\System32\test_permissions" 2>NUL
SetLocal EnableDelayedExpansion
:Menu
Cls
@ echo.
@ echo.　　　　　 菜 單 選 項
@ echo.
@ echo.     綠化或卸載[必須] → 請輸入1
@ echo.
@ echo.     創建桌面圖標 → 請輸入2
@ echo.
@ echo.     刪除桌面圖標 → 請輸入3
@ echo.
set /p xj= 輸入數字按回車：
if /i "%xj%"=="1" Goto Install
if /i "%xj%"=="2" Goto Establish
if /i "%xj%"=="3" Goto Delete
if /i "%xj%"=="4" Goto Uninstall
@ echo.
echo      選擇無效，請重新輸入
ping -n 2 127.1>nul 
goto menu
:Install
@ echo.
ECHO 　　　正在安裝或卸載中..請稍等..
taskkill /f /im 360WangPan.exe>NUL 2>NUL
rd/s/q "%AppData%\360CloudUI" 2>NUL
rd/s/q "%AppData%\360Login"2>NUL
rd/s/q "%AppData%\360Safe\360safe.setup.log"2>NUL
reg delete "HKCU\Software\360Safe\Liveup" /f >NUL 2>NUL
reg delete "HKCR\CLSID\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKCU\SOFTWARE\Classes\CLSID\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKLM\SOFTWARE\Classes\CLSID\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MyComputer\NameSpace\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\MyComputer\NameSpace\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKLM\SOFTWARE\Wow6432Node\Classes\CLSID\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
reg delete "HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Explorer\MyComputer\NameSpace\{01249E9F-88FF-45d5-82DB-A1BEE06E123C}" /f>NUL 2>NUL
goto Install2
:Establish
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\360雲盤.lnk""):b.TargetPath=""%~dp0360WangPan.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
goto fanhui
:Delete
del /f /q "%userprofile%"\Desktop\360雲盤.lnk
goto fanhui
:fanhui
@ ECHO.
ECHO 　　　設置完成..
ping -n 1 1.0>nul
goto menu
:Install2
@ ECHO.
ECHO 　　　安裝或卸載完成..
ping -n 1 1.0>nul
goto menu